Anonymous Login
2019-02-21 12:26 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000717v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:48
Reporterseadadmin 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000717: History module to capture all changes
DescriptionProject "History" - track when the project changes
    
I had attempted to do this via the History module per instruction, but found that if the project status was updated via the "quick edit" on the project index screen that the status change did not get captured.

I ended up adding a column that was a current timestamp/auto update and called that field within the code , added it to the project index view and was able to achieve what the big boss wanted

The req on my end were for a high level manager to be able to see when a project entered a given status without the need to click the project and view logs. It seems from a management perspective this could be useful.

My solution is far from perfect and really just a quick hack to serve the need, however ANY update to the project generates the timestamp to update and really I need to go through and re-work it to pull only on status change. However after pouring through the projects module a bit I am coming to the conclusion I want to stay the hell out of that thing as much as possible.

Ideally something we can configure to just capture changes we are looking for would be great, rather than all or nothing.
 
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001614

caseydk (administrator)

Resolved in r1624 by using the base store() method instead of the static call;

~0001760

caseydk (administrator)

Closed in preparation for v2.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2011-02-08 09:47 seadadmin New Issue
2011-02-09 12:54 caseydk Project v2.1 Release (Closed) => v2.3 Release (Closed)
2011-02-13 15:49 caseydk Note Added: 0001614
2011-02-13 15:49 caseydk Status new => resolved
2011-02-13 15:49 caseydk Resolution open => fixed
2011-02-13 15:49 caseydk Assigned To => caseydk
2011-03-24 09:48 caseydk Note Added: 0001760
2011-03-24 09:48 caseydk Status resolved => closed
2011-03-24 09:48 caseydk Fixed in Version => 2.3
+Issue History